# Vidu Q3 Pro Text-to-Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-vidu-q3-pro-t2v

# Vidu Q3 Pro Text-to-Video

POST

/

v3

/

async

/

vidu-q3-pro-t2v

Vidu Q3 Pro Text-to-Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/vidu-q3-pro-t2v \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"seed": 123,
"audio": true,
"prompt": "&#x3C;string>",
"wm_url": "&#x3C;string>",
"duration": 123,
"off_peak": true,
"watermark": true,
"resolution": "&#x3C;string>",
"wm_position": 123,
"aspect_ratio": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/vidu-q3-pro-t2v"payload = { "seed": 123, "audio": True, "prompt": "&#x3C;string>", "wm_url": "&#x3C;string>", "duration": 123, "off_peak": True, "watermark": True, "resolution": "&#x3C;string>", "wm_position": 123, "aspect_ratio": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ seed: 123, audio: true, prompt: '&#x3C;string>', wm_url: '&#x3C;string>', duration: 123, off_peak: true, watermark: true, resolution: '&#x3C;string>', wm_position: 123, aspect_ratio: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/async/vidu-q3-pro-t2v', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/vidu-q3-pro-t2v", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'seed' => 123, 'audio' => true, 'prompt' => '&#x3C;string>', 'wm_url' => '&#x3C;string>', 'duration' => 123, 'off_peak' => true, 'watermark' => true, 'resolution' => '&#x3C;string>', 'wm_position' => 123, 'aspect_ratio' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/vidu-q3-pro-t2v"	payload := strings.NewReader("{\n \"seed\": 123,\n \"audio\": true,\n \"prompt\": \"&#x3C;string>\",\n \"wm_url\": \"&#x3C;string>\",\n \"duration\": 123,\n \"off_peak\": true,\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"wm_position\": 123,\n \"aspect_ratio\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/vidu-q3-pro-t2v") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"seed\": 123,\n \"audio\": true,\n \"prompt\": \"&#x3C;string>\",\n \"wm_url\": \"&#x3C;string>\",\n \"duration\": 123,\n \"off_peak\": true,\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"wm_position\": 123,\n \"aspect_ratio\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/vidu-q3-pro-t2v")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"seed\": 123,\n \"audio\": true,\n \"prompt\": \"&#x3C;string>\",\n \"wm_url\": \"&#x3C;string>\",\n \"duration\": 123,\n \"off_peak\": true,\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"wm_position\": 123,\n \"aspect_ratio\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Vidu Q3 Pro Text-to-Video generates high-quality videos with synchronized audio from text descriptions, supporting resolutions up to 1080p and durations from 1-16 seconds.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-seed)

seed

integer

Random seed for reproducibility. Use 0 for random.Value range: [0, 2147483647]

[​](#param-audio)

audio

boolean

default:true

Enable synchronized audio generation (dialogue and sound effects). Only supported by Q3 model.

[​](#param-prompt)

prompt

string

required

Text description for video generation. Max 2000 characters.Length limit: 0 - 2000

[​](#param-wm-url)

wm_url

string

URL of the watermark image.

[​](#param-duration)

duration

integer

default:5

Video length in seconds (1-16).Value range: [1, 16]

[​](#param-off-peak)

off_peak

boolean

default:false

Use off-peak pricing tier. Tasks will be processed within 48 hours at reduced cost.

[​](#param-watermark)

watermark

boolean

default:false

Whether to add watermark to the video.

[​](#param-resolution)

resolution

string

default:"720p"

Output video quality.Optional values: `540p`, `720p`, `1080p`

[​](#param-wm-position)

wm_position

integer

Watermark position: 1=top-left, 2=top-right, 3=bottom-left, 4=bottom-right.Value range: [1, 4]

[​](#param-aspect-ratio)

aspect_ratio

string

default:"16:9"

Output video aspect ratio.Optional values: `16:9`, `9:16`, `4:3`, `3:4`, `1:1`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on February 6, 2026
